# Uses of Enum
org.kapott.hbci.dialog.KnownTANProcess.Variant

Packages that use KnownTANProcess.Variant
Package
Description
org.kapott.hbci.dialog

## Uses of KnownTANProcess.Variant in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return KnownTANProcess.Variant
Modifier and Type
Method
Description
`static final KnownTANProcess.Variant`
KnownTANProcess.Variant.`determine(String code)`
Liefert die zu verwendende Prozessvariante.
`KnownTANProcess.Variant`
SCARequest.`getVariant()`
Liefert die Prozess-Variante.
`static KnownTANProcess.Variant`
KnownTANProcess.Variant.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KnownTANProcess.Variant[]`
KnownTANProcess.Variant.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.dialog with parameters of type KnownTANProcess.Variant
Modifier and Type
Method
Description
`static KnownTANProcess`
KnownTANProcess.`get(KnownTANProcess.Variant v, int step)`
Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.
`void`
SCARequest.`setVariant(KnownTANProcess.Variant variant)`
Speichert die Prozess-Variante.